Can't create a new file from terminal

Bug #1471053 reported by Gabriel_P on 2015-07-03
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Scratch
Fix Released
Medium
Gero.Bare

Bug Description

I'm attempting to create a contractor file for the 'gnome-search-tool'.

In terminal run:
$ sudo scratch-text-editor /usr/share/contractor/find.contract

the output is this:

[_LOG_LEVEL_INFO 22:29:21.939128] Application.vala:155: Scratch version: 2.2.0
[_LOG_LEVEL_INFO 22:29:21.939234] Application.vala:157: Kernel version: 3.16.0-41-generic
[_LOG_LEVEL_DEBUG 22:29:21.941596] Settings.vala:158: Loading settings from schema 'org.pantheon.scratch.saved-state'
[_LOG_LEVEL_DEBUG 22:29:21.943393] Settings.vala:158: Loading settings from schema 'org.pantheon.scratch.settings'
[_LOG_LEVEL_DEBUG 22:29:21.944025] Settings.vala:158: Loading settings from schema 'org.pantheon.scratch.services'
[_LOG_LEVEL_DEBUG 22:29:21.981713] [Gtk] Connecting to session manager
[_LOG_LEVEL_WARN 22:29:21.987118] [Gtk] Attempting to add a widget with type GtkScrolledWindow to a GtkDialog, but as a GtkBin subclass a GtkDialog can only contain one widget at a time; it already contains a widget of type GtkBox
[_LOG_LEVEL_FATAL 22:29:22.005480] [Gtk] gtk_header_bar_pack: assertion 'gtk_widget_get_parent (widget) == NULL' failed
[_LOG_LEVEL_FATAL 22:29:22.005531] Scratch will not function properly.
[_LOG_LEVEL_FATAL 22:29:22.137824] [Gtk] gtk_action_set_visible: assertion 'GTK_IS_ACTION (action)' failed
[_LOG_LEVEL_FATAL 22:29:22.137949] Scratch will not function properly.
[_LOG_LEVEL_DEBUG 22:29:22.146627] SplitView.vala:180: WelcomeScreen shown succefully
[_LOG_LEVEL_DEBUG 22:29:22.150484] Settings.vala:158: Loading settings from schema 'org.pantheon.scratch.plugins.folder-manager'
[_LOG_LEVEL_DEBUG 22:29:22.150889] MainWindow.vala:476: 'unsaved' directory already exists.
[_LOG_LEVEL_DEBUG 22:29:22.152619] SplitView.vala:188: WelcomeScreen hidden succefully
[_LOG_LEVEL_DEBUG 22:29:22.154086] SplitView.vala:126: View added succefully
[_LOG_LEVEL_WARN 22:29:22.154245] Scratch.vala:236: Error al obtener la información del archivo «/usr/share/contractor/find.contract»: No existe el archivo o el directorio

The (empty) window that appears can be seen attached.

Related branches

Gabriel_P (gabp) wrote :
Gero.Bare (gero-bare) on 2015-11-17
Changed in scratch:
status: New → Confirmed
assignee: nobody → Gero.bare (gero-bare)
importance: Undecided → Medium
Changed in scratch:
status: Confirmed → In Progress
Daniel Fore (danrabbit) on 2016-02-19
Changed in scratch:
status: In Progress → Fix Committed
milestone: none → loki-alpha1
Cody Garver (codygarver) on 2016-08-11
Changed in scratch:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers